﻿/*
constantes.h
*/

/** ------------------------------------------------------------------
Constantes des dlg
------------------------------------------------------------------ **/
#define CT_STATIC			0
#define CT_BUTTON			1
#define CT_EDIT				2
#define CT_SLIDER			3
#define CT_COMBO			4
#define CT_LISTBOX			5
#define CT_TOOLBOX			6
#define CT_CHECKBOXES		7
#define CT_PROGRESS			8
#define CT_HTML				9
#define CT_STATIC_SKEW		10
#define CT_ACTIVETEXT		11
#define CT_TREE				12
#define CT_STRUCTURED_TEXT	13 
#define CT_3DSTATIC			20
#define CT_3DACTIVETEXT		21
#define CT_3DLISTBOX		22
#define CT_3DHTML			23
#define CT_3DSLIDER			24
#define CT_3DEDIT			25
#define CT_OBJECT			80
#define CT_OBJECT_ZOOM		81
#define CT_OBJECT_CONTAINER	82
#define CT_OBJECT_CONT_ANIM	83
#define CT_USER				99
#define CT_MAP              100
#define CT_MAP_MAIN         101

/** ------------------------------------------------------------------
constantes de style
------------------------------------------------------------------ **/
#define ST_HPOS				0x0F
#define ST_LEFT				0
#define ST_RIGHT			1
#define ST_CENTER			2
#define ST_UP				3
#define ST_DOWN				4
#define ST_VCENTER			5

#define ST_TYPE				0xF0
#define ST_SINGLE			0
#define ST_MULTI			16
#define ST_TITLE_BAR		32
#define ST_PICTURE			48
#define ST_FRAME			64
#define ST_BACKGROUND		80
#define ST_GROUP_BOX		96
#define ST_GROUP_BOX2		112
#define ST_HUD_BACKGROUND	128
#define ST_TILE_PICTURE		144
#define ST_WITH_RECT		160
#define ST_LINE				176

#define ST_SHADOW			256
#define ST_NO_RECT			512

#define ST_TITLE			ST_TITLE_BAR + ST_CENTER

#define SL_DIR 0x400 
#define SL_VERT 0 
#define SL_HORZ 0x400 
#define SL_TEXTURES 0x10 

#define FontHTML			"Zeppelin32"
#define FontM				"Zeppelin32"

#define Dlg_ROWS			36
#define Dlg_COLS			90

#define Dlg_CONTROLHGT		((100/Dlg_ROWS)/100)
#define Dlg_COLWIDTH		((100/Dlg_COLS)/100)

#define Dlg_TEXTHGT_MOD		0.9
#define Dlg_ROWSPACING_MOD	1.3

#define Dlg_ROWHGT			(Dlg_CONTROLHGT*Dlg_ROWSPACING_MOD)
#define Dlg_TEXTHGT			(Dlg_CONTROLHGT*Dlg_TEXTHGT_MOD)


/** ------------------------------------------------------------------
constantes de couleurs
------------------------------------------------------------------ **/
#define Color_KackG 				{0.36, 0.4, 0.38, 1}
#define Color_KackY					{0.8, 0.7, 0.6, 1}
#define Color_KackB 				{0.51, 0.48, 0.46, 1}
#define Color_WhiteDark 			{1, 1, 1, 0.5}
#define Color_WhiteGray				{0.95, 0.95, 0.95, 1}
#define Color_White					{1, 1, 1, 1}
#define Color_Black 				{0, 0, 0, 1}
#define Color_Gray 					{1, 1, 1, 0.5}
#define Color_GrayLight 			{0.6, 0.6, 0.6, 1}
#define Color_GrayDark 				{0.2, 0.2, 0.2, 1}
#define Color_DarkRed 				{0.5, 0.1, 0, 0.5}
#define Color_Green 				{0.8, 0.9, 0.4, 1}
#define Color_Orange 				{0.9, 0.45, 0.1, 1}
#define Color_Red 					{0.9, 0.2, 0.2, 1}
#define Color_Blue 					{0.2, 0.2, 0.9, 1}
#define Color_TxtBtn				{0.543,0.5742,0.4102,1}
#define Color_NoColor				{0, 0, 0, 0}


/** ------------------------------------------------------------------
constantes de texte
------------------------------------------------------------------ **/
#define TextSize_IGUI_normal 		0.023 // test //19/768
#define TextSize_small 				0.022 //16/768
#define TextSize_normal 			0.024 //19/768
#define TextSize_medium 			0.027 //23/768
#define TextSize_large  			0.057 //44/768


/** ------------------------------------------------------------------
constantes ACV
------------------------------------------------------------------ **/
#define ACV_DLG_ID_NoId				-1

/**
Lothule, si un jour tu tombes sur ce source tu verras que tu as réussie à m'influencer un peu.
Lol 
**/
#define ACV_DLG_ID_START 			424242  /** private joke **/

/** ----------------------- Main Dialog ----------------------- **/

#define ACV_DLG_ID_Main_Dlg 				(ACV_DLG_ID_START + 100)

#define ACV_DLG_ID_Main_CbCamp 				(ACV_DLG_ID_START + 1000)
#define ACV_DLG_ID_Main_CbFaction 			(ACV_DLG_ID_START + 1001)
#define ACV_DLG_ID_Main_CbType 				(ACV_DLG_ID_START + 1002)
#define ACV_DLG_ID_Main_CbUnit 				(ACV_DLG_ID_START + 1003)
#define ACV_DLG_ID_Main_CbSkill 			(ACV_DLG_ID_START + 1004)
#define ACV_DLG_ID_Main_BtnMakeUnit 		(ACV_DLG_ID_START + 1005)
#define ACV_DLG_ID_Main_BtnCancelMakeUnit 	(ACV_DLG_ID_START + 1006)
#define ACV_DLG_ID_Main_LstStock 			(ACV_DLG_ID_START + 1007)
#define ACV_DLG_ID_Main_BtnDeleteUnit 		(ACV_DLG_ID_START + 1008)
#define ACV_DLG_ID_Main_Map 				(ACV_DLG_ID_START + 1008)
#define ACV_DLG_ID_Main_TxtSystem 			(ACV_DLG_ID_START + 1009)
#define ACV_DLG_ID_Main_TxtHeal 			(ACV_DLG_ID_START + 1010)
#define ACV_DLG_ID_Main_TxtBehaviour 		(ACV_DLG_ID_START + 1011)
#define ACV_DLG_ID_Main_TxtPicture	 		(ACV_DLG_ID_START + 1012)
#define ACV_DLG_ID_Main_TxtCombatMode		(ACV_DLG_ID_START + 1013)
#define ACV_DLG_ID_Main_TxtCanFire			(ACV_DLG_ID_START + 1014)
#define ACV_DLG_ID_Main_TxtCanMove			(ACV_DLG_ID_START + 1015)
#define ACV_DLG_ID_Main_TxtCanStand			(ACV_DLG_ID_START + 1016)
#define ACV_DLG_ID_Main_GrpCbTypeUnit 		(ACV_DLG_ID_START + 1017)
#define ACV_DLG_ID_Main_GrpCbUnit 			(ACV_DLG_ID_START + 1018)
#define ACV_DLG_ID_Main_BtnMakeGrp 			(ACV_DLG_ID_START + 1019)
#define ACV_DLG_ID_Main_ChkOwner 			(ACV_DLG_ID_START + 1020)
#define ACV_DLG_ID_Main_ChkEmpty 			(ACV_DLG_ID_START + 1021)
#define ACV_DLG_ID_Main_CbWayPoint 			(ACV_DLG_ID_START + 1022)
#define ACV_DLG_ID_Main_CbDir	 			(ACV_DLG_ID_START + 1023)
#define ACV_DLG_ID_Main_EditRayon 			(ACV_DLG_ID_START + 1024)
#define ACV_DLG_ID_Main_EnVol	 			(ACV_DLG_ID_START + 1025)
#define ACV_DLG_ID_Main_CbMun	 			(ACV_DLG_ID_START + 1026)
#define ACV_DLG_ID_Main_MkMun	 			(ACV_DLG_ID_START + 1027)
#define ACV_DLG_ID_Main_BtnCamera 			(ACV_DLG_ID_START + 1028)
#define ACV_DLG_ID_Main_BtnTeleport			(ACV_DLG_ID_START + 1029)
#define ACV_DLG_ID_Main_LegendWp			(ACV_DLG_ID_START + 1030)
#define ACV_DLG_ID_Main_ListWp				(ACV_DLG_ID_START + 1031)
#define ACV_DLG_ID_Main_AddWp				(ACV_DLG_ID_START + 1032)
#define ACV_DLG_ID_Main_EditWp				(ACV_DLG_ID_START + 1033)
#define ACV_DLG_ID_Main_DelWp				(ACV_DLG_ID_START + 1034)
#define ACV_DLG_ID_Main_LabelWp				(ACV_DLG_ID_START + 1035)
#define ACV_DLG_ID_Main_LabelRadius			(ACV_DLG_ID_START + 1036)
#define ACV_DLG_ID_Main_RdUnit				(ACV_DLG_ID_START + 1037)
#define ACV_DLG_ID_Main_RdWp				(ACV_DLG_ID_START + 1038)
#define ACV_DLG_ID_Main_BtnScript			(ACV_DLG_ID_START + 1039)
#define ACV_DLG_ID_Main_CbObj	 			(ACV_DLG_ID_START + 1040)
#define ACV_DLG_ID_Main_MkObj	 			(ACV_DLG_ID_START + 1041)
/** ----------------------- Waypoints Dialog ----------------------- **/
#define ACV_DLG_ID_WP_Dlg 				(ACV_DLG_ID_START + 2000)

#define ACV_DLG_ID_WP_Type 				(ACV_DLG_ID_START + 2100)
#define ACV_DLG_ID_WP_Combat			(ACV_DLG_ID_START + 2101)
#define ACV_DLG_ID_WP_Formation			(ACV_DLG_ID_START + 2102)
#define ACV_DLG_ID_WP_Vitesse			(ACV_DLG_ID_START + 2103)
#define ACV_DLG_ID_WP_Comportement		(ACV_DLG_ID_START + 2104)
#define ACV_DLG_ID_WP_Placement			(ACV_DLG_ID_START + 2105)
#define ACV_DLG_ID_WP_Achevement		(ACV_DLG_ID_START + 2106)
#define ACV_DLG_ID_WP_Min				(ACV_DLG_ID_START + 2107)
#define ACV_DLG_ID_WP_Moy				(ACV_DLG_ID_START + 2108)
#define ACV_DLG_ID_WP_Max				(ACV_DLG_ID_START + 2109)
#define ACV_DLG_ID_WP_Script			(ACV_DLG_ID_START + 2110)
#define ACV_DLG_ID_WP_Condition			(ACV_DLG_ID_START + 2111)
#define ACV_DLG_ID_WP_DoPos				(ACV_DLG_ID_START + 2112)
#define ACV_DLG_ID_WP_DoPatrol			(ACV_DLG_ID_START + 2113)
#define ACV_DLG_ID_WP_DoDefense			(ACV_DLG_ID_START + 2114)

/** ----------------------- Scripts Dialog ----------------------- **/
#define ACV_DLG_ID_SCRIPT_DLG 				(ACV_DLG_ID_START + 3000)
#define ACV_DLG_ID_SCR_Edit					(ACV_DLG_ID_START + 3100)
#define ACV_DLG_ID_SCR_Exec					(ACV_DLG_ID_START + 3101)
#define ACV_DLG_ID_SCR_List					(ACV_DLG_ID_START + 3102)